Retry partial-failure networks
POST
/v1/wallet/keys/rotate/{taskId}/retry
const url = 'https://api.parasta.io/v1/wallet/keys/rotate/example/retry';const options = { method: 'POST', headers: { 'Idempotency-Key': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"networkIds":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/wallet/keys/rotate/example/retry \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --data '{ "networkIds": [ "example" ] }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” taskId
required
string
Header Parameters
Section titled “Header Parameters ” Idempotency-Key
required
string format: uuid
IETF draft-ietf-httpapi-idempotency-key-header. Generated freshly by the client for each request.
Request Body required
Section titled “Request Body required ” Media type application/json
object
networkIds
required
Array<string>
Example generated
{ "networkIds": [ "example" ]}Responses
Section titled “ Responses ”Retrying
Media type application/json
object
status
string
Example
{ "status": "retrying"}